Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354558 - [DOCS] [NUMA] NUMA and PCI SR-IOV correlation is missing in "Red Hat Solution for Network Functions Virtualization "
Summary: [DOCS] [NUMA] NUMA and PCI SR-IOV correlation is missing in "Red Hat Solution...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Deepti Navale
QA Contact: Martin Lopes
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 14:49 UTC by Yariv
Modified: 2016-09-21 06:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-15 06:34:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yariv 2016-07-11 14:49:30 UTC
Red Hat Solution for Network Functions Virtualization 

referring NUMA and CPU pinning, huge pages, see 2.1. Compute  reference to SRIOV, PCI per NUMA is missing.

Currently, deploying Guest VM over SRIOV compute with 2 NUMA nodes and single SRIOV card connected NUMA Cell 0, will fail, once NUMA Cell 0 is fully occupied, will fail

Nova scheduler will not use NUMA Cell 1 as a candidate, due to luck of SRIOV PCIs for this Cell.


I think that we should add
2.1.3. SRIOV support (PCIPathThrough)
SR-IOV enables a single root function, to appear as multiple, separate, physical devices.  

with link to the following 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Virtualization_Tuning_and_Optimization_Guide/index.html#sect-Virtualization_Tuning_Optimization_Guide-NUMA-Guest_NUMA_multinode-hugepages

section 8.3.11. NUMA Node Locality for PCI Devices

Comment 3 Andrew Dahms 2016-09-08 00:14:38 UTC
Assigning to Deepti for review.

Comment 7 Deepti Navale 2016-09-15 02:51:17 UTC
Martin has completed peer review and merged the content to Liberty branch. I've cherry-picked the changes to the Mitaka branch. Published to Customer Portal for both releases.

Mitaka: https://access.redhat.com/documentation/en/red-hat-openstack-platform/9/single/red-hat-solution-for-network-functions-virtualization/#compute

Liberty: https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/single/red-hat-solution-for-network-functions-virtualization/#compute


Note You need to log in before you can comment on or make changes to this bug.